#
# spec file for package gap-happrime
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-happrime
Summary:        GAP: a HAP extension for small prime power groups
Version:        0.6
Release:        lp150.1.2
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            http://www.maths.nuigalway.ie/~pas/CHA/HAPprime/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/happrime-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.4
Requires:       gap-gapdoc >= 1.0
Requires:       gap-hap >= 1.9.3

%description
This package is an extension for the HAP package which provideds
further operations for (co)homological algebra with finite p-groups.

%prep
%setup -qn happrime

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri May 10 2013 jengelh@inai.de
- Split happrime (version 0.6) off the gap RPM package
